Bug 608592 - gedit crash after closing on fedora 14 rawhide
Summary: gedit crash after closing on fedora 14 rawhide
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
(Show other bugs)
Version: 14
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-28 08:32 UTC by Athmane Madjoudj
Modified: 2010-08-19 01:20 UTC (History)
1 user (show)

Fixed In Version: gnome-panel-2.31.6-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 01:20:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output (479.54 KB, application/octet-stream)
2010-06-28 08:35 UTC, Athmane Madjoudj
no flags Details

Description Athmane Madjoudj 2010-06-28 08:32:33 UTC
Description of problem:
gedit run correctly but if it closed with both Window Manager close button (Metacity (X)) or File -> Quit: it (gedit) crash.

Version-Release number of selected component (if applicable):
gedit-2.31.3-1.fc14.i686
gtk2-2.21.2-2.fc14.i686
gtk3-2.90.3-1.fc14.i686

How reproducible:
Always

Steps to Reproduce:
1. Run Gedit
2. Close Gedit
3.
  
Actual results:
Gedit crash

Expected results:
Gedit doesn't crash

Additional info:
gedit --g-fatal-warnings --gtk-debug=yes

(gedit:1997): GLib-GIO-CRITICAL **: g_settings_set_value: assertion `G_IS_SETTINGS (settings)' failed
Segmentation fault (core dumped)

Comment 1 Athmane Madjoudj 2010-06-28 08:35:27 UTC
Created attachment 427346 [details]
strace output

Comment 2 Bug Zapper 2010-07-30 12:16:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2010-08-13 18:26:30 UTC
brasero-2.31.5-4.fc14,dconf-0.5-2.fc14,devhelp-2.31.6-3.fc14,epiphany-2.30.2-3.fc14,evince-2.31.6.1-1.fc14,file-roller-2.31.5-2.fc14,gedit-2.30.2-2.fc14,glib2-2.25.13-2.fc14,gnome-bluetooth-2.31.6-3.fc14,gnome-user-share-2.30.0-7.fc14,gobject-introspection-0.9.3-1.fc14,nautilus-sendto-2.31.6-3.fc14,seahorse-plugins-2.30.1-3.fc14,totem-2.31.6-2.fc14,yelp-2.30.1-4.fc14,rhythmbox-0.13.0-5.fc14,sound-juicer-2.31.6-1.fc14,gnome-media-2.31.6-1.fc14,gnome-panel-2.31.6-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/brasero-2.31.5-4.fc14,dconf-0.5-2.fc14,devhelp-2.31.6-3.fc14,epiphany-2.30.2-3.fc14,evince-2.31.6.1-1.fc14,file-roller-2.31.5-2.fc14,gedit-2.30.2-2.fc14,glib2-2.25.13-2.fc14,gnome-bluetooth-2.31.6-3.fc14,gnome-user-share-2.30.0-7.fc14,gobject-introspection-0.9.3-1.fc14,nautilus-sendto-2.31.6-3.fc14,seahorse-plugins-2.30.1-3.fc14,totem-2.31.6-2.fc14,yelp-2.30.1-4.fc14,rhythmbox-0.13.0-5.fc14,sound-juicer-2.31.6-1.fc14,gnome-media-2.31.6-1.fc14,gnome-panel-2.31.6-1.fc14

Comment 4 Fedora Update System 2010-08-16 16:04:48 UTC
gnome-panel-2.31.6-1.fc14, totem-pl-parser-2.30.2-1.fc14, brasero-2.31.5-4.fc14, dconf-0.5-2.fc14, devhelp-2.31.6-3.fc14, epiphany-2.30.2-3.fc14, evince-2.31.6.1-1.fc14, file-roller-2.31.5-2.fc14, gedit-2.30.2-2.fc14, glib2-2.25.13-2.fc14, gnome-bluetooth-2.31.6-3.fc14, gnome-user-share-2.30.0-7.fc14, gobject-introspection-0.9.3-1.fc14, nautilus-sendto-2.31.6-3.fc14, seahorse-plugins-2.30.1-3.fc14, totem-2.31.6-2.fc14, rhythmbox-0.13.0-5.fc14, sound-juicer-2.31.6-1.fc14, yelp-2.30.1-4.fc14, gnome-media-2.31.6-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-panel totem-pl-parser brasero dconf devhelp epiphany evince file-roller gedit glib2 gnome-bluetooth gnome-user-share gobject-introspection nautilus-sendto seahorse-plugins totem rhythmbox sound-juicer yelp gnome-media'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/brasero-2.31.5-4.fc14,dconf-0.5-2.fc14,devhelp-2.31.6-3.fc14,epiphany-2.30.2-3.fc14,evince-2.31.6.1-1.fc14,file-roller-2.31.5-2.fc14,gedit-2.30.2-2.fc14,glib2-2.25.13-2.fc14,gnome-bluetooth-2.31.6-3.fc14,gnome-user-share-2.30.0-7.fc14,gobject-introspection-0.9.3-1.fc14,nautilus-sendto-2.31.6-3.fc14,seahorse-plugins-2.30.1-3.fc14,totem-2.31.6-2.fc14,yelp-2.30.1-4.fc14,rhythmbox-0.13.0-5.fc14,sound-juicer-2.31.6-1.fc14,gnome-media-2.31.6-1.fc14,gnome-panel-2.31.6-1.fc14,totem-pl-parser-2.30.2-1.fc14

Comment 5 Fedora Update System 2010-08-19 01:19:08 UTC
gnome-panel-2.31.6-1.fc14, totem-pl-parser-2.30.2-1.fc14, brasero-2.31.5-4.fc14, dconf-0.5-2.fc14, devhelp-2.31.6-3.fc14, epiphany-2.30.2-3.fc14, evince-2.31.6.1-1.fc14, gedit-2.30.2-2.fc14, glib2-2.25.13-2.fc14, gnome-bluetooth-2.31.6-3.fc14, gnome-user-share-2.30.0-7.fc14, gobject-introspection-0.9.3-1.fc14, nautilus-sendto-2.31.6-3.fc14, seahorse-plugins-2.30.1-3.fc14, totem-2.31.6-2.fc14, rhythmbox-0.13.0-5.fc14, sound-juicer-2.31.6-1.fc14, file-roller-2.31.90-1.fc14, yelp-2.30.1-4.fc14, gnome-media-2.31.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.